Module java.base
Package java.io

# Enum Class ObjectInputFilter.Status

java.lang.Object
java.lang.Enum<ObjectInputFilter.Status>
java.io.ObjectInputFilter.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<ObjectInputFilter.Status>`, `Constable`

Enclosing interface:
  ObjectInputFilter

public static enum ObjectInputFilter.Status extends Enum<ObjectInputFilter.Status>
The status of a check on the class, array length, number of references, depth, and stream size.

Since:
  9

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALLOWED`
The status is allowed.
`REJECTED`
The status is rejected.
`UNDECIDED`
The status is undecided, not allowed and not rejected.

## Method Summary

Modifier and Type
Method
Description
`static ObjectInputFilter.Status`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ObjectInputFilter.Status[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNDECIDED

public static final ObjectInputFilter.Status UNDECIDED
The status is undecided, not allowed and not rejected.

### ALLOWED

public static final ObjectInputFilter.Status ALLOWED
The status is allowed.

### REJECTED

public static final ObjectInputFilter.Status REJECTED
The status is rejected.

## Method Details

### values

public static ObjectInputFilter.Status[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ObjectInputFilter.Status valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null